##
## file: arch/Kconfig
##
CONFIG_SECCOMP=y

##
## file: arch/arm/crypto/Kconfig
##
CONFIG_CRYPTO_NHPOLY1305_NEON=m

##
## file: arch/arm64/Kconfig
##
CONFIG_ARM64_ERRATUM_834220=y
CONFIG_ARM64_ERRATUM_843419=y
CONFIG_ARM64_ERRATUM_1418040=y
## choice: Page size
CONFIG_ARM64_4K_PAGES=y
## end choice
## choice: Virtual address space size
CONFIG_ARM64_VA_BITS_52=y
## end choice
CONFIG_SCHED_MC=y
CONFIG_SCHED_SMT=y
CONFIG_NR_CPUS=512
CONFIG_NUMA=y
CONFIG_XEN=y
CONFIG_COMPAT=y
CONFIG_COMPAT_VDSO=y
CONFIG_COMPAT_ALIGNMENT_FIXUPS=y
CONFIG_ARMV8_DEPRECATED=y
CONFIG_SWP_EMULATION=y
CONFIG_CP15_BARRIER_EMULATION=y
CONFIG_SETEND_EMULATION=y
CONFIG_ARM64_USE_LSE_ATOMICS=y
CONFIG_ARM64_PMEM=y
CONFIG_RANDOMIZE_BASE=y
CONFIG_RANDOMIZE_MODULE_REGION_FULL=y
CONFIG_ARM64_ACPI_PARKING_PROTOCOL=y

##
## file: arch/arm64/Kconfig.platforms
##
CONFIG_ARCH_SUNXI=y
CONFIG_ARCH_BCM=y
CONFIG_ARCH_BCM2835=y
CONFIG_ARCH_EXYNOS=y
CONFIG_ARCH_K3=y
CONFIG_ARCH_HISI=y
CONFIG_ARCH_MEDIATEK=y
CONFIG_ARCH_MESON=y
CONFIG_ARCH_MVEBU=y
CONFIG_ARCH_NXP=y
CONFIG_ARCH_LAYERSCAPE=y
CONFIG_ARCH_MXC=y
CONFIG_ARCH_QCOM=y
CONFIG_ARCH_RENESAS=y
CONFIG_ARCH_ROCKCHIP=y
CONFIG_ARCH_SEATTLE=y
CONFIG_ARCH_SYNQUACER=y
CONFIG_ARCH_TEGRA=y
CONFIG_ARCH_THUNDER=y
CONFIG_ARCH_THUNDER2=y
CONFIG_ARCH_VEXPRESS=y
CONFIG_ARCH_XGENE=y
CONFIG_ARCH_ZYNQMP=y

##
## file: arch/arm64/crypto/Kconfig
##
CONFIG_CRYPTO_GHASH_ARM64_CE=m
CONFIG_CRYPTO_SHA1_ARM64_CE=m
CONFIG_CRYPTO_SHA2_ARM64_CE=m
CONFIG_CRYPTO_SHA512_ARM64=m
CONFIG_CRYPTO_SHA512_ARM64_CE=m
CONFIG_CRYPTO_SHA3_ARM64=m
CONFIG_CRYPTO_POLYVAL_ARM64_CE=m
CONFIG_CRYPTO_AES_ARM64_CE=m
CONFIG_CRYPTO_AES_ARM64_CE_BLK=m
# CONFIG_CRYPTO_AES_ARM64_NEON_BLK is not set
CONFIG_CRYPTO_AES_ARM64_BS=m
CONFIG_CRYPTO_AES_ARM64_CE_CCM=m
CONFIG_CRYPTO_CRCT10DIF_ARM64_CE=m

##
## file: arch/arm64/kvm/Kconfig
##
CONFIG_VIRTUALIZATION=y
CONFIG_KVM=y

##
## file: drivers/acpi/Kconfig
##
CONFIG_ACPI=y
CONFIG_ACPI_SPCR_TABLE=y
CONFIG_ACPI_IPMI=m
CONFIG_ACPI_PCI_SLOT=y
CONFIG_ACPI_HED=y
CONFIG_ACPI_BGRT=y

##
## file: drivers/acpi/apei/Kconfig
##
CONFIG_ACPI_APEI=y
CONFIG_ACPI_APEI_GHES=y
CONFIG_ACPI_APEI_PCIEAER=y
CONFIG_ACPI_APEI_MEMORY_FAILURE=y
CONFIG_ACPI_APEI_EINJ=m

##
## file: drivers/android/Kconfig
##
CONFIG_ANDROID_BINDER_IPC=m

##
## file: drivers/ata/Kconfig
##
CONFIG_SATA_AHCI_PLATFORM=m
CONFIG_AHCI_DWC=m
CONFIG_AHCI_CEVA=m
CONFIG_AHCI_MVEBU=m
CONFIG_AHCI_TEGRA=m
CONFIG_AHCI_XGENE=m
CONFIG_AHCI_QORIQ=m
CONFIG_SATA_AHCI_SEATTLE=m

##
## file: drivers/bluetooth/Kconfig
##
CONFIG_BT_HCIUART=m
CONFIG_BT_MRVL_SDIO=m
CONFIG_BT_QCOMSMD=m

##
## file: drivers/bus/Kconfig
##
CONFIG_MOXTET=m
CONFIG_HISILICON_LPC=y
CONFIG_QCOM_EBI2=y
CONFIG_TEGRA_ACONNECT=y

##
## file: drivers/bus/fsl-mc/Kconfig
##
CONFIG_FSL_MC_BUS=y
CONFIG_FSL_MC_UAPI_SUPPORT=y

##
## file: drivers/char/hw_random/Kconfig
##
CONFIG_HW_RANDOM_BCM2835=m
CONFIG_HW_RANDOM_IPROC_RNG200=m
CONFIG_HW_RANDOM_OMAP=m
CONFIG_HW_RANDOM_HISI=m
CONFIG_HW_RANDOM_XGENE=m
CONFIG_HW_RANDOM_MESON=m
CONFIG_HW_RANDOM_CAVIUM=m
CONFIG_HW_RANDOM_MTK=m
CONFIG_HW_RANDOM_OPTEE=m
CONFIG_HW_RANDOM_ARM_SMCCC_TRNG=m
CONFIG_HW_RANDOM_CN10K=m
CONFIG_HW_RANDOM_ROCKCHIP=m

##
## file: drivers/char/ipmi/Kconfig
##
CONFIG_IPMI_HANDLER=m
CONFIG_IPMI_DEVICE_INTERFACE=m
CONFIG_IPMI_SSIF=m
CONFIG_IPMI_WATCHDOG=m
CONFIG_IPMI_POWEROFF=m

##
## file: drivers/char/tpm/Kconfig
##
CONFIG_TCG_TIS_SPI_CR50=y
CONFIG_TCG_TIS_I2C_CR50=m
CONFIG_TCG_TIS_I2C_INFINEON=m

##
## file: drivers/clk/Kconfig
##
CONFIG_COMMON_CLK=y
CONFIG_COMMON_CLK_RK808=y
CONFIG_COMMON_CLK_HI655X=y
CONFIG_COMMON_CLK_SCMI=y
CONFIG_COMMON_CLK_SCPI=m
CONFIG_COMMON_CLK_SI5341=y
CONFIG_COMMON_CLK_FSL_SAI=y
CONFIG_CLK_QORIQ=y
CONFIG_CLK_LS1028A_PLLDIG=y
CONFIG_COMMON_CLK_XGENE=y
CONFIG_COMMON_CLK_PWM=m

##
## file: drivers/clk/bcm/Kconfig
##
CONFIG_CLK_RASPBERRYPI=y

##
## file: drivers/clk/hisilicon/Kconfig
##
CONFIG_STUB_CLK_HI6220=y

##
## file: drivers/clk/imx/Kconfig
##
CONFIG_CLK_IMX8MM=y
CONFIG_CLK_IMX8MN=y
CONFIG_CLK_IMX8MP=y
CONFIG_CLK_IMX8MQ=y

##
## file: drivers/clk/keystone/Kconfig
##
CONFIG_TI_SCI_CLK=y

##
## file: drivers/clk/mediatek/Kconfig
##
CONFIG_COMMON_CLK_MEDIATEK_FHCTL=y
CONFIG_COMMON_CLK_MT2712=m
CONFIG_COMMON_CLK_MT2712_BDPSYS=m
CONFIG_COMMON_CLK_MT2712_IMGSYS=m
CONFIG_COMMON_CLK_MT2712_JPGDECSYS=m
CONFIG_COMMON_CLK_MT2712_MFGCFG=m
CONFIG_COMMON_CLK_MT2712_MMSYS=m
CONFIG_COMMON_CLK_MT2712_VDECSYS=m
CONFIG_COMMON_CLK_MT2712_VENCSYS=m
CONFIG_COMMON_CLK_MT6765=y
CONFIG_COMMON_CLK_MT6765_AUDIOSYS=m
CONFIG_COMMON_CLK_MT6765_CAMSYS=m
CONFIG_COMMON_CLK_MT6765_GCESYS=m
CONFIG_COMMON_CLK_MT6765_MMSYS=m
CONFIG_COMMON_CLK_MT6765_IMGSYS=m
CONFIG_COMMON_CLK_MT6765_VCODECSYS=m
CONFIG_COMMON_CLK_MT6765_MFGSYS=m
CONFIG_COMMON_CLK_MT6765_MIPI0ASYS=m
CONFIG_COMMON_CLK_MT6765_MIPI0BSYS=m
CONFIG_COMMON_CLK_MT6765_MIPI1ASYS=m
CONFIG_COMMON_CLK_MT6765_MIPI1BSYS=m
CONFIG_COMMON_CLK_MT6765_MIPI2ASYS=m
CONFIG_COMMON_CLK_MT6765_MIPI2BSYS=m
CONFIG_COMMON_CLK_MT6779=m
CONFIG_COMMON_CLK_MT6779_MMSYS=m
CONFIG_COMMON_CLK_MT6779_IMGSYS=m
CONFIG_COMMON_CLK_MT6779_IPESYS=m
CONFIG_COMMON_CLK_MT6779_CAMSYS=m
CONFIG_COMMON_CLK_MT6779_VDECSYS=m
CONFIG_COMMON_CLK_MT6779_VENCSYS=m
CONFIG_COMMON_CLK_MT6779_MFGCFG=m
CONFIG_COMMON_CLK_MT6779_AUDSYS=m
CONFIG_COMMON_CLK_MT6795=m
CONFIG_COMMON_CLK_MT6795_MFGCFG=m
CONFIG_COMMON_CLK_MT6795_MMSYS=m
CONFIG_COMMON_CLK_MT6795_VDECSYS=m
CONFIG_COMMON_CLK_MT6795_VENCSYS=m
CONFIG_COMMON_CLK_MT6797=y
CONFIG_COMMON_CLK_MT6797_MMSYS=m
CONFIG_COMMON_CLK_MT6797_IMGSYS=m
CONFIG_COMMON_CLK_MT6797_VDECSYS=m
CONFIG_COMMON_CLK_MT6797_VENCSYS=m
CONFIG_COMMON_CLK_MT7622=m
CONFIG_COMMON_CLK_MT7622_ETHSYS=m
CONFIG_COMMON_CLK_MT7622_HIFSYS=m
CONFIG_COMMON_CLK_MT7622_AUDSYS=m
CONFIG_COMMON_CLK_MT7981=y
CONFIG_COMMON_CLK_MT7981_ETHSYS=m
CONFIG_COMMON_CLK_MT7986=m
CONFIG_COMMON_CLK_MT7986_ETHSYS=m
CONFIG_COMMON_CLK_MT8167=m
CONFIG_COMMON_CLK_MT8167_AUDSYS=m
CONFIG_COMMON_CLK_MT8167_IMGSYS=m
CONFIG_COMMON_CLK_MT8167_MFGCFG=m
CONFIG_COMMON_CLK_MT8167_MMSYS=m
CONFIG_COMMON_CLK_MT8167_VDECSYS=m
CONFIG_COMMON_CLK_MT8173=m
CONFIG_COMMON_CLK_MT8173_IMGSYS=m
CONFIG_COMMON_CLK_MT8173_MMSYS=m
CONFIG_COMMON_CLK_MT8173_VDECSYS=m
CONFIG_COMMON_CLK_MT8173_VENCSYS=m
CONFIG_COMMON_CLK_MT8183=m
CONFIG_COMMON_CLK_MT8183_AUDIOSYS=m
CONFIG_COMMON_CLK_MT8183_CAMSYS=m
CONFIG_COMMON_CLK_MT8183_IMGSYS=m
CONFIG_COMMON_CLK_MT8183_IPU_CORE0=m
CONFIG_COMMON_CLK_MT8183_IPU_CORE1=m
CONFIG_COMMON_CLK_MT8183_IPU_ADL=m
CONFIG_COMMON_CLK_MT8183_IPU_CONN=m
CONFIG_COMMON_CLK_MT8183_MFGCFG=m
CONFIG_COMMON_CLK_MT8183_MMSYS=m
CONFIG_COMMON_CLK_MT8183_VDECSYS=m
CONFIG_COMMON_CLK_MT8183_VENCSYS=m
CONFIG_COMMON_CLK_MT8186=m
CONFIG_COMMON_CLK_MT8186_CAMSYS=m
CONFIG_COMMON_CLK_MT8186_IMGSYS=m
CONFIG_COMMON_CLK_MT8186_IPESYS=m
CONFIG_COMMON_CLK_MT8186_WPESYS=m
CONFIG_COMMON_CLK_MT8186_IMP_IIC_WRAP=m
CONFIG_COMMON_CLK_MT8186_MCUSYS=m
CONFIG_COMMON_CLK_MT8186_MDPSYS=m
CONFIG_COMMON_CLK_MT8186_MFGCFG=m
CONFIG_COMMON_CLK_MT8186_MMSYS=m
CONFIG_COMMON_CLK_MT8186_VDECSYS=m
CONFIG_COMMON_CLK_MT8186_VENCSYS=m
CONFIG_COMMON_CLK_MT8188=m
CONFIG_COMMON_CLK_MT8188_ADSP_AUDIO26M=m
CONFIG_COMMON_CLK_MT8188_CAMSYS=m
CONFIG_COMMON_CLK_MT8188_IMGSYS=m
CONFIG_COMMON_CLK_MT8188_IMP_IIC_WRAP=m
CONFIG_COMMON_CLK_MT8188_IPESYS=m
CONFIG_COMMON_CLK_MT8188_MFGCFG=m
CONFIG_COMMON_CLK_MT8188_VDECSYS=m
CONFIG_COMMON_CLK_MT8188_VDOSYS=m
CONFIG_COMMON_CLK_MT8188_VENCSYS=m
CONFIG_COMMON_CLK_MT8188_VPPSYS=m
CONFIG_COMMON_CLK_MT8188_WPESYS=m
CONFIG_COMMON_CLK_MT8192=m
CONFIG_COMMON_CLK_MT8192_AUDSYS=m
CONFIG_COMMON_CLK_MT8192_CAMSYS=m
CONFIG_COMMON_CLK_MT8192_IMGSYS=m
CONFIG_COMMON_CLK_MT8192_IMP_IIC_WRAP=m
CONFIG_COMMON_CLK_MT8192_IPESYS=m
CONFIG_COMMON_CLK_MT8192_MDPSYS=m
CONFIG_COMMON_CLK_MT8192_MFGCFG=m
CONFIG_COMMON_CLK_MT8192_MMSYS=m
CONFIG_COMMON_CLK_MT8192_MSDC=m
CONFIG_COMMON_CLK_MT8192_SCP_ADSP=m
CONFIG_COMMON_CLK_MT8192_VDECSYS=m
CONFIG_COMMON_CLK_MT8192_VENCSYS=m
CONFIG_COMMON_CLK_MT8195=y
CONFIG_COMMON_CLK_MT8195_APUSYS=m
CONFIG_COMMON_CLK_MT8195_IMP_IIC_WRAP=m
CONFIG_COMMON_CLK_MT8195_MFGCFG=m
CONFIG_COMMON_CLK_MT8195_SCP_ADSP=m
CONFIG_COMMON_CLK_MT8195_VDOSYS=m
CONFIG_COMMON_CLK_MT8195_VPPSYS=m
CONFIG_COMMON_CLK_MT8195_CAMSYS=m
CONFIG_COMMON_CLK_MT8195_IMGSYS=m
CONFIG_COMMON_CLK_MT8195_IPESYS=m
CONFIG_COMMON_CLK_MT8195_WPESYS=m
CONFIG_COMMON_CLK_MT8195_VDECSYS=m
CONFIG_COMMON_CLK_MT8195_VENCSYS=m
CONFIG_COMMON_CLK_MT8365=m
CONFIG_COMMON_CLK_MT8365_APU=m
CONFIG_COMMON_CLK_MT8365_CAM=m
CONFIG_COMMON_CLK_MT8365_MFG=m
CONFIG_COMMON_CLK_MT8365_MMSYS=m
CONFIG_COMMON_CLK_MT8365_VDEC=m
CONFIG_COMMON_CLK_MT8365_VENC=m
CONFIG_COMMON_CLK_MT8516=m
CONFIG_COMMON_CLK_MT8516_AUDSYS=m

##
## file: drivers/clk/qcom/Kconfig
##
CONFIG_COMMON_CLK_QCOM=y
CONFIG_CLK_X1E80100_CAMCC=m
CONFIG_CLK_X1E80100_DISPCC=m
CONFIG_CLK_X1E80100_GCC=y
CONFIG_CLK_X1E80100_GPUCC=m
CONFIG_CLK_X1E80100_TCSRCC=m
CONFIG_QCOM_A53PLL=m
CONFIG_QCOM_CLK_APCS_MSM8916=m
CONFIG_QCOM_CLK_APCC_MSM8996=m
CONFIG_QCOM_CLK_RPM=m
CONFIG_QCOM_CLK_SMD_RPM=m
CONFIG_QCOM_CLK_RPMH=y
CONFIG_MSM_GCC_8916=y
CONFIG_MSM_GCC_8996=y
CONFIG_MSM_MMCC_8996=y
CONFIG_MSM_GCC_8998=y
CONFIG_MSM_GPUCC_8998=m
CONFIG_MSM_MMCC_8998=m
CONFIG_QCM_GCC_2290=m
CONFIG_QCM_DISPCC_2290=m
CONFIG_SC_CAMCC_7280=m
CONFIG_SC_CAMCC_8280XP=m
CONFIG_SC_DISPCC_7280=m
CONFIG_SC_DISPCC_8280XP=m
CONFIG_SC_GCC_7180=y
CONFIG_SC_GCC_7280=y
CONFIG_SC_GCC_8180X=y
CONFIG_SC_GCC_8280XP=y
CONFIG_SC_GPUCC_7280=m
CONFIG_SC_GPUCC_8280XP=m
CONFIG_SC_LPASSCC_8280XP=m
CONFIG_SC_LPASS_CORECC_7280=m
CONFIG_SC_VIDEOCC_7280=m
CONFIG_SDM_CAMCC_845=m
CONFIG_SDM_GCC_845=y
CONFIG_SDM_GPUCC_845=m
CONFIG_SDM_VIDEOCC_845=m
CONFIG_SDM_DISPCC_845=m
CONFIG_SDM_LPASSCC_845=m
CONFIG_SM_CAMCC_8250=m
CONFIG_SM_DISPCC_6115=m
CONFIG_SM_DISPCC_8250=m
CONFIG_SM_GCC_6115=m
CONFIG_SM_GPUCC_6115=m
CONFIG_SM_GPUCC_8150=m
CONFIG_SM_GPUCC_8250=m
CONFIG_SM_VIDEOCC_8250=m
CONFIG_QCOM_HFPLL=y
CONFIG_CLK_GFM_LPASS_SM8250=m

##
## file: drivers/clk/rockchip/Kconfig
##
CONFIG_CLK_RK3328=y
CONFIG_CLK_RK3399=y
CONFIG_CLK_RK3568=y
CONFIG_CLK_RK3588=y

##
## file: drivers/clk/samsung/Kconfig
##
CONFIG_EXYNOS_CLKOUT=m

##
## file: drivers/clk/sunxi-ng/Kconfig
##
CONFIG_SUN8I_DE2_CCU=y

##
## file: drivers/clk/zynqmp/Kconfig
##
CONFIG_COMMON_CLK_ZYNQMP=y

##
## file: drivers/clocksource/Kconfig
##
CONFIG_ROCKCHIP_TIMER=y
CONFIG_MTK_TIMER=y
CONFIG_MTK_CPUX_TIMER=y

##
## file: drivers/cpufreq/Kconfig
##
## choice: Default CPUFreq governor
# CONFIG_CPU_FREQ_DEFAULT_GOV_PERFORMANCE is not set
CONFIG_CPU_FREQ_DEFAULT_GOV_SCHEDUTIL=y
## end choice
CONFIG_CPUFREQ_DT=m
CONFIG_CPUFREQ_DT_PLATDEV=y
CONFIG_QORIQ_CPUFREQ=m
CONFIG_ACPI_CPPC_CPUFREQ=m

##
## file: drivers/cpufreq/Kconfig.arm
##
CONFIG_ARM_ALLWINNER_SUN50I_CPUFREQ_NVMEM=m
CONFIG_ARM_ARMADA_37XX_CPUFREQ=m
CONFIG_ARM_SCPI_CPUFREQ=m
CONFIG_ARM_IMX_CPUFREQ_DT=m
CONFIG_ARM_MEDIATEK_CPUFREQ=m
CONFIG_ARM_MEDIATEK_CPUFREQ_HW=m
CONFIG_ARM_QCOM_CPUFREQ_NVMEM=m
CONFIG_ARM_QCOM_CPUFREQ_HW=m
CONFIG_ARM_RASPBERRYPI_CPUFREQ=m

##
## file: drivers/cpuidle/Kconfig.arm
##
CONFIG_ARM_PSCI_CPUIDLE=y
CONFIG_ARM_PSCI_CPUIDLE_DOMAIN=y

##
## file: drivers/crypto/Kconfig
##
CONFIG_CRYPTO_DEV_QCE=m
CONFIG_CRYPTO_DEV_QCOM_RNG=m
CONFIG_CRYPTO_DEV_ROCKCHIP=m
CONFIG_CRYPTO_DEV_SAFEXCEL=m

##
## file: drivers/crypto/allwinner/Kconfig
##
CONFIG_CRYPTO_DEV_SUN8I_CE=m

##
## file: drivers/crypto/caam/Kconfig
##
CONFIG_CRYPTO_DEV_FSL_CAAM=m
CONFIG_CRYPTO_DEV_FSL_CAAM_JR=m
CONFIG_CRYPTO_DEV_FSL_DPAA2_CAAM=m

##
## file: drivers/crypto/cavium/cpt/Kconfig
##
CONFIG_CAVIUM_CPT=m

##
## file: drivers/crypto/cavium/nitrox/Kconfig
##
CONFIG_CRYPTO_DEV_NITROX_CNN55XX=m

##
## file: drivers/crypto/marvell/Kconfig
##
CONFIG_CRYPTO_DEV_MARVELL_CESA=m

##
## file: drivers/cxl/Kconfig
##
CONFIG_CXL_BUS=y

##
## file: drivers/devfreq/Kconfig
##
CONFIG_DEVFREQ_GOV_SIMPLE_ONDEMAND=y
CONFIG_DEVFREQ_GOV_PASSIVE=m
CONFIG_ARM_IMX_BUS_DEVFREQ=m
CONFIG_ARM_IMX8M_DDRC_DEVFREQ=m
CONFIG_ARM_MEDIATEK_CCI_DEVFREQ=m
CONFIG_ARM_RK3399_DMC_DEVFREQ=m

##
## file: drivers/devfreq/event/Kconfig
##
CONFIG_PM_DEVFREQ_EVENT=y
CONFIG_DEVFREQ_EVENT_ROCKCHIP_DFI=m

##
## file: drivers/dma/Kconfig
##
CONFIG_DMADEVICES=y
CONFIG_DMA_BCM2835=y
CONFIG_DMA_SUN6I=m
CONFIG_FSL_EDMA=m
CONFIG_FSL_QDMA=m
CONFIG_IMX_SDMA=m
CONFIG_K3_DMA=m
CONFIG_MV_XOR=y
CONFIG_MV_XOR_V2=y
CONFIG_PL330_DMA=m
CONFIG_TEGRA20_APB_DMA=y
CONFIG_TEGRA210_ADMA=y
CONFIG_XGENE_DMA=m

##
## file: drivers/dma/qcom/Kconfig
##
CONFIG_QCOM_BAM_DMA=m
CONFIG_QCOM_GPI_DMA=m
CONFIG_QCOM_HIDMA_MGMT=m
CONFIG_QCOM_HIDMA=m

##
## file: drivers/dma/ti/Kconfig
##
CONFIG_TI_K3_UDMA=y
CONFIG_TI_K3_UDMA_GLUE_LAYER=y

##
## file: drivers/dma-buf/Kconfig
##
CONFIG_UDMABUF=y

##
## file: drivers/edac/Kconfig
##
CONFIG_EDAC=y
CONFIG_EDAC_LAYERSCAPE=m
CONFIG_EDAC_THUNDERX=m
CONFIG_EDAC_XGENE=m

##
## file: drivers/extcon/Kconfig
##
CONFIG_EXTCON=m
CONFIG_EXTCON_PTN5150=m
CONFIG_EXTCON_QCOM_SPMI_MISC=m
CONFIG_EXTCON_USB_GPIO=m
CONFIG_EXTCON_USBC_CROS_EC=m

##
## file: drivers/firmware/Kconfig
##
CONFIG_ARM_SCPI_PROTOCOL=m
CONFIG_RASPBERRYPI_FIRMWARE=y
CONFIG_MTK_ADSP_IPC=m
CONFIG_TURRIS_MOX_RWTM=m

##
## file: drivers/firmware/arm_scmi/Kconfig
##
CONFIG_ARM_SCMI_PROTOCOL=y

##
## file: drivers/firmware/arm_scmi/transports/Kconfig
##
CONFIG_ARM_SCMI_TRANSPORT_SMC=y

##
## file: drivers/firmware/google/Kconfig
##
CONFIG_GOOGLE_COREBOOT_TABLE=y
CONFIG_GOOGLE_FRAMEBUFFER_COREBOOT=y

##
## file: drivers/firmware/qcom/Kconfig
##
CONFIG_QCOM_QSEECOM=y
CONFIG_QCOM_QSEECOM_UEFISECAPP=y

##
## file: drivers/gpio/Kconfig
##
CONFIG_GPIOLIB=y
CONFIG_GPIO_DAVINCI=y
CONFIG_GPIO_MB86S7X=m
CONFIG_GPIO_MPC8XXX=y
CONFIG_GPIO_MXC=y
CONFIG_GPIO_PL061=y
CONFIG_GPIO_RCAR=m
CONFIG_GPIO_ROCKCHIP=m
CONFIG_GPIO_SYSCON=m
CONFIG_GPIO_THUNDERX=m
CONFIG_GPIO_WCD934X=m
CONFIG_GPIO_XGENE=y
CONFIG_GPIO_XGENE_SB=m
CONFIG_GPIO_XLP=y
CONFIG_GPIO_ZYNQ=m
CONFIG_GPIO_PCA953X=y
CONFIG_GPIO_PCA953X_IRQ=y
CONFIG_GPIO_MAX77620=y
CONFIG_GPIO_SL28CPLD=m
CONFIG_GPIO_MOXTET=m

##
## file: drivers/gpu/drm/Kconfig
##
CONFIG_DRM=m
CONFIG_DRM_HYPERV=m

##
## file: drivers/gpu/drm/amd/amdgpu/Kconfig
##
CONFIG_DRM_AMDGPU=m

##
## file: drivers/gpu/drm/arm/Kconfig
##
CONFIG_DRM_HDLCD=m
CONFIG_DRM_MALI_DISPLAY=m

##
## file: drivers/gpu/drm/ast/Kconfig
##
CONFIG_DRM_AST=m

##
## file: drivers/gpu/drm/bridge/Kconfig
##
CONFIG_DRM_DISPLAY_CONNECTOR=m
CONFIG_DRM_ITE_IT6505=m
CONFIG_DRM_LONTIUM_LT9611=m
CONFIG_DRM_LONTIUM_LT9611UXC=m
CONFIG_DRM_LVDS_CODEC=m
CONFIG_DRM_NWL_MIPI_DSI=m
CONFIG_DRM_NXP_PTN3460=m
CONFIG_DRM_PARADE_PS8640=m
CONFIG_DRM_SII902X=m
CONFIG_DRM_SIMPLE_BRIDGE=m
CONFIG_DRM_TI_SN65DSI86=m

##
## file: drivers/gpu/drm/bridge/adv7511/Kconfig
##
CONFIG_DRM_I2C_ADV7511=m
CONFIG_DRM_I2C_ADV7511_AUDIO=y

##
## file: drivers/gpu/drm/bridge/analogix/Kconfig
##
CONFIG_DRM_ANALOGIX_ANX6345=m
CONFIG_DRM_ANALOGIX_ANX7625=m

##
## file: drivers/gpu/drm/bridge/cadence/Kconfig
##
CONFIG_DRM_CDNS_MHDP8546=m

##
## file: drivers/gpu/drm/bridge/synopsys/Kconfig
##
CONFIG_DRM_DW_HDMI_I2S_AUDIO=m
CONFIG_DRM_DW_HDMI_CEC=m

##
## file: drivers/gpu/drm/etnaviv/Kconfig
##
CONFIG_DRM_ETNAVIV=m

##
## file: drivers/gpu/drm/hisilicon/hibmc/Kconfig
##
CONFIG_DRM_HISI_HIBMC=m

##
## file: drivers/gpu/drm/hisilicon/kirin/Kconfig
##
CONFIG_DRM_HISI_KIRIN=m

##
## file: drivers/gpu/drm/imx/dcss/Kconfig
##
CONFIG_DRM_IMX_DCSS=m

##
## file: drivers/gpu/drm/lima/Kconfig
##
CONFIG_DRM_LIMA=m

##
## file: drivers/gpu/drm/mediatek/Kconfig
##
CONFIG_DRM_MEDIATEK=m
CONFIG_DRM_MEDIATEK_DP=m
CONFIG_DRM_MEDIATEK_HDMI=m

##
## file: drivers/gpu/drm/meson/Kconfig
##
CONFIG_DRM_MESON=m

##
## file: drivers/gpu/drm/msm/Kconfig
##
CONFIG_DRM_MSM=m
CONFIG_DRM_MSM_DSI=y
CONFIG_DRM_MSM_DSI_28NM_PHY=y
CONFIG_DRM_MSM_DSI_20NM_PHY=y

##
## file: drivers/gpu/drm/mxsfb/Kconfig
##
CONFIG_DRM_MXSFB=m

##
## file: drivers/gpu/drm/nouveau/Kconfig
##
CONFIG_NOUVEAU_PLATFORM_DRIVER=y

##
## file: drivers/gpu/drm/panel/Kconfig
##
CONFIG_DRM_PANEL_BOE_TH101MB31UIG002_28A=m
CONFIG_DRM_PANEL_BOE_TV101WUM_NL6=m
CONFIG_DRM_PANEL_FEIYANG_FY07024DI26A30D=m
CONFIG_DRM_PANEL_LVDS=m
CONFIG_DRM_PANEL_INNOLUX_P079ZCA=m
CONFIG_DRM_PANEL_KINGDISPLAY_KD097D04=m
CONFIG_DRM_PANEL_RASPBERRYPI_TOUCHSCREEN=m
CONFIG_DRM_PANEL_SAMSUNG_ATNA33XC20=m
CONFIG_DRM_PANEL_SITRONIX_ST7703=m
CONFIG_DRM_PANEL_SITRONIX_ST7789V=m
CONFIG_DRM_PANEL_EDP=m
CONFIG_DRM_PANEL_SIMPLE=m

##
## file: drivers/gpu/drm/panfrost/Kconfig
##
CONFIG_DRM_PANFROST=m

##
## file: drivers/gpu/drm/panthor/Kconfig
##
CONFIG_DRM_PANTHOR=m

##
## file: drivers/gpu/drm/radeon/Kconfig
##
CONFIG_DRM_RADEON=m

##
## file: drivers/gpu/drm/rockchip/Kconfig
##
CONFIG_DRM_ROCKCHIP=m
CONFIG_ROCKCHIP_VOP=y
CONFIG_ROCKCHIP_VOP2=y
CONFIG_ROCKCHIP_ANALOGIX_DP=y
CONFIG_ROCKCHIP_CDN_DP=y
CONFIG_ROCKCHIP_DW_HDMI=y
CONFIG_ROCKCHIP_DW_MIPI_DSI=y

##
## file: drivers/gpu/drm/sun4i/Kconfig
##
CONFIG_DRM_SUN4I=m
CONFIG_DRM_SUN6I_DSI=m
CONFIG_DRM_SUN8I_DW_HDMI=m
CONFIG_DRM_SUN8I_MIXER=m

##
## file: drivers/gpu/drm/tegra/Kconfig
##
CONFIG_DRM_TEGRA=m
CONFIG_DRM_TEGRA_STAGING=y

##
## file: drivers/gpu/drm/tidss/Kconfig
##
CONFIG_DRM_TIDSS=m

##
## file: drivers/gpu/drm/v3d/Kconfig
##
CONFIG_DRM_V3D=m

##
## file: drivers/gpu/drm/vc4/Kconfig
##
CONFIG_DRM_VC4=m
CONFIG_DRM_VC4_HDMI_CEC=y

##
## file: drivers/gpu/drm/vmwgfx/Kconfig
##
CONFIG_DRM_VMWGFX=m

##
## file: drivers/gpu/host1x/Kconfig
##
CONFIG_TEGRA_HOST1X=m

##
## file: drivers/hid/Kconfig
##
CONFIG_HID_HYPERV_MOUSE=m

##
## file: drivers/hid/i2c-hid/Kconfig
##
CONFIG_I2C_HID_ACPI=m
CONFIG_I2C_HID_OF=m
CONFIG_I2C_HID_OF_ELAN=m
CONFIG_I2C_HID_OF_GOODIX=m

##
## file: drivers/hv/Kconfig
##
CONFIG_HYPERV=m
CONFIG_HYPERV_UTILS=m
CONFIG_HYPERV_BALLOON=m

##
## file: drivers/hwmon/Kconfig
##
CONFIG_SENSORS_ARM_SCPI=m
CONFIG_SENSORS_GPIO_FAN=m
CONFIG_SENSORS_LM75=m
CONFIG_SENSORS_LM90=m
CONFIG_SENSORS_PWM_FAN=m
CONFIG_SENSORS_SL28CPLD=m
CONFIG_SENSORS_XGENE=m

##
## file: drivers/hwmon/pmbus/Kconfig
##
CONFIG_PMBUS=m
CONFIG_SENSORS_PMBUS=m
CONFIG_SENSORS_LTC2978=m

##
## file: drivers/hwspinlock/Kconfig
##
CONFIG_HWSPINLOCK=y
CONFIG_HWSPINLOCK_QCOM=m

##
## file: drivers/hwtracing/coresight/Kconfig
##
CONFIG_CORESIGHT=m
CONFIG_CORESIGHT_LINKS_AND_SINKS=m
CONFIG_CORESIGHT_LINK_AND_SINK_TMC=m
CONFIG_CORESIGHT_CATU=m
CONFIG_CORESIGHT_SINK_TPIU=m
CONFIG_CORESIGHT_SINK_ETBV10=m
CONFIG_CORESIGHT_SOURCE_ETM4X=m
CONFIG_CORESIGHT_STM=m
CONFIG_CORESIGHT_CPU_DEBUG=m
CONFIG_CORESIGHT_CTI=m
CONFIG_CORESIGHT_TRBE=m

##
## file: drivers/i2c/Kconfig
##
CONFIG_I2C=y
CONFIG_I2C_MUX=m

##
## file: drivers/i2c/busses/Kconfig
##
CONFIG_I2C_BCM2835=m
CONFIG_I2C_DESIGNWARE_CORE=y
CONFIG_I2C_DESIGNWARE_PLATFORM=m
CONFIG_I2C_EXYNOS5=m
CONFIG_I2C_GPIO=m
CONFIG_I2C_IMX=m
CONFIG_I2C_IMX_LPI2C=m
CONFIG_I2C_MESON=m
CONFIG_I2C_MT65XX=m
CONFIG_I2C_MV64XXX=m
CONFIG_I2C_PXA=m
CONFIG_I2C_QCOM_CCI=m
CONFIG_I2C_QCOM_GENI=m
CONFIG_I2C_QUP=m
CONFIG_I2C_RK3X=m
CONFIG_I2C_TEGRA=m
CONFIG_I2C_THUNDERX=m
CONFIG_I2C_XLP9XX=m
CONFIG_I2C_CROS_EC_TUNNEL=m
CONFIG_I2C_XGENE_SLIMPRO=m

##
## file: drivers/i2c/muxes/Kconfig
##
CONFIG_I2C_MUX_PCA954x=m
CONFIG_I2C_MUX_PINCTRL=m
CONFIG_I2C_MUX_REG=m

##
## file: drivers/iio/adc/Kconfig
##
CONFIG_MEDIATEK_MT6577_AUXADC=m
CONFIG_QCOM_SPMI_IADC=m
CONFIG_QCOM_SPMI_VADC=m
CONFIG_QCOM_SPMI_ADC5=m
CONFIG_ROCKCHIP_SARADC=m
CONFIG_TI_ADS8688=m

##
## file: drivers/iio/common/cros_ec_sensors/Kconfig
##
CONFIG_IIO_CROS_EC_SENSORS_CORE=m
CONFIG_IIO_CROS_EC_SENSORS=m

##
## file: drivers/iio/humidity/Kconfig
##
CONFIG_DHT11=m

##
## file: drivers/iio/proximity/Kconfig
##
CONFIG_SX9324=m

##
## file: drivers/infiniband/hw/hns/Kconfig
##
CONFIG_INFINIBAND_HNS_HIP08=y

##
## file: drivers/input/keyboard/Kconfig
##
CONFIG_KEYBOARD_ADC=m
CONFIG_KEYBOARD_GPIO=m
CONFIG_KEYBOARD_GPIO_POLLED=m
CONFIG_KEYBOARD_SNVS_PWRKEY=m
CONFIG_KEYBOARD_TEGRA=m
CONFIG_KEYBOARD_CROS_EC=m

##
## file: drivers/input/misc/Kconfig
##
CONFIG_INPUT_MISC=y
CONFIG_INPUT_PM8941_PWRKEY=m
CONFIG_INPUT_GPIO_BEEPER=m
CONFIG_INPUT_GPIO_VIBRA=m
CONFIG_INPUT_AXP20X_PEK=m
CONFIG_INPUT_UINPUT=m
CONFIG_INPUT_RK805_PWRKEY=m
CONFIG_INPUT_HISI_POWERKEY=m

##
## file: drivers/input/mouse/Kconfig
##
CONFIG_MOUSE_ELAN_I2C=m

##
## file: drivers/input/serio/Kconfig
##
CONFIG_HYPERV_KEYBOARD=m

##
## file: drivers/input/touchscreen/Kconfig
##
CONFIG_INPUT_TOUCHSCREEN=y
CONFIG_TOUCHSCREEN_DWAV_USB_MT=m
CONFIG_TOUCHSCREEN_ELAN=m
CONFIG_TOUCHSCREEN_MELFAS_MIP4=m
CONFIG_TOUCHSCREEN_EDT_FT5X06=m
CONFIG_TOUCHSCREEN_RASPBERRYPI_FW=m
CONFIG_TOUCHSCREEN_ST1232=m

##
## file: drivers/interconnect/Kconfig
##
CONFIG_INTERCONNECT=y

##
## file: drivers/interconnect/imx/Kconfig
##
CONFIG_INTERCONNECT_IMX=m
CONFIG_INTERCONNECT_IMX8MQ=m

##
## file: drivers/interconnect/qcom/Kconfig
##
CONFIG_INTERCONNECT_QCOM=y
CONFIG_INTERCONNECT_QCOM_MSM8916=m
CONFIG_INTERCONNECT_QCOM_MSM8996=y
CONFIG_INTERCONNECT_QCOM_OSM_L3=m
CONFIG_INTERCONNECT_QCOM_QCM2290=y
CONFIG_INTERCONNECT_QCOM_SC7280=y
CONFIG_INTERCONNECT_QCOM_SC8180X=m
CONFIG_INTERCONNECT_QCOM_SC8280XP=m
CONFIG_INTERCONNECT_QCOM_SDM845=y
CONFIG_INTERCONNECT_QCOM_SM6115=y
CONFIG_INTERCONNECT_QCOM_SM8250=y
CONFIG_INTERCONNECT_QCOM_X1E80100=y

##
## file: drivers/iommu/Kconfig
##
CONFIG_IOMMU_IO_PGTABLE_LPAE=y
CONFIG_IOMMU_IO_PGTABLE_ARMV7S=y
CONFIG_ROCKCHIP_IOMMU=y
CONFIG_SUN50I_IOMMU=y
CONFIG_TEGRA_IOMMU_SMMU=y
CONFIG_ARM_SMMU=y
CONFIG_ARM_SMMU_V3=y
CONFIG_MTK_IOMMU=m
CONFIG_QCOM_IOMMU=y

##
## file: drivers/irqchip/Kconfig
##
CONFIG_SL28CPLD_INTC=y
CONFIG_QCOM_IRQ_COMBINER=y
CONFIG_QCOM_PDC=y
CONFIG_QCOM_MPM=m
CONFIG_MST_IRQ=y

##
## file: drivers/leds/Kconfig
##
CONFIG_LEDS_GPIO=m
CONFIG_LEDS_PWM=m

##
## file: drivers/leds/rgb/Kconfig
##
CONFIG_LEDS_GROUP_MULTICOLOR=m
CONFIG_LEDS_PWM_MULTICOLOR=m
CONFIG_LEDS_QCOM_LPG=m

##
## file: drivers/leds/trigger/Kconfig
##
CONFIG_LEDS_TRIGGER_HEARTBEAT=y

##
## file: drivers/mailbox/Kconfig
##
CONFIG_MAILBOX=y
CONFIG_ARM_MHU=m
CONFIG_IMX_MBOX=m
CONFIG_PLATFORM_MHU=m
CONFIG_ARMADA_37XX_RWTM_MBOX=m
CONFIG_OMAP2PLUS_MBOX=y
CONFIG_ROCKCHIP_MBOX=y
CONFIG_BCM2835_MBOX=y
CONFIG_HI6220_MBOX=y
CONFIG_QCOM_APCS_IPC=m
CONFIG_XGENE_SLIMPRO_MBOX=m
CONFIG_MTK_ADSP_MBOX=m
CONFIG_MTK_CMDQ_MBOX=m
CONFIG_QCOM_IPCC=m

##
## file: drivers/media/cec/platform/Kconfig
##
CONFIG_CEC_MESON_AO=m
CONFIG_CEC_MESON_G12A_AO=m

##
## file: drivers/media/i2c/Kconfig
##
CONFIG_VIDEO_OV2685=m
CONFIG_VIDEO_OV5648=m
CONFIG_VIDEO_OV5675=m
CONFIG_VIDEO_OV5695=m
CONFIG_VIDEO_DW9714=m

##
## file: drivers/media/platform/amlogic/meson-ge2d/Kconfig
##
CONFIG_VIDEO_MESON_GE2D=m

##
## file: drivers/media/platform/mediatek/jpeg/Kconfig
##
CONFIG_VIDEO_MEDIATEK_JPEG=m

##
## file: drivers/media/platform/mediatek/mdp/Kconfig
##
CONFIG_VIDEO_MEDIATEK_MDP=m

##
## file: drivers/media/platform/mediatek/mdp3/Kconfig
##
CONFIG_VIDEO_MEDIATEK_MDP3=m

##
## file: drivers/media/platform/mediatek/vcodec/Kconfig
##
CONFIG_VIDEO_MEDIATEK_VCODEC=m

##
## file: drivers/media/platform/mediatek/vpu/Kconfig
##
CONFIG_VIDEO_MEDIATEK_VPU=m

##
## file: drivers/media/platform/nxp/Kconfig
##
CONFIG_VIDEO_IMX7_CSI=m
CONFIG_VIDEO_IMX8MQ_MIPI_CSI2=m
CONFIG_VIDEO_IMX_MIPI_CSIS=m

##
## file: drivers/media/platform/qcom/camss/Kconfig
##
CONFIG_VIDEO_QCOM_CAMSS=m

##
## file: drivers/media/platform/qcom/venus/Kconfig
##
CONFIG_VIDEO_QCOM_VENUS=m

##
## file: drivers/media/platform/rockchip/rga/Kconfig
##
CONFIG_VIDEO_ROCKCHIP_RGA=m

##
## file: drivers/media/platform/rockchip/rkisp1/Kconfig
##
CONFIG_VIDEO_ROCKCHIP_ISP1=m

##
## file: drivers/media/platform/verisilicon/Kconfig
##
CONFIG_VIDEO_HANTRO=m

##
## file: drivers/media/rc/Kconfig
##
CONFIG_IR_GPIO_CIR=m
CONFIG_IR_MESON=m
CONFIG_IR_SUNXI=m

##
## file: drivers/memory/Kconfig
##
CONFIG_MTK_SMI=m

##
## file: drivers/memory/tegra/Kconfig
##
CONFIG_TEGRA_MC=y

##
## file: drivers/mfd/Kconfig
##
CONFIG_MFD_AXP20X_I2C=m
CONFIG_MFD_AXP20X_RSB=m
CONFIG_MFD_CROS_EC_DEV=m
CONFIG_MFD_HI655X_PMIC=m
CONFIG_MFD_MAX77620=y
CONFIG_MFD_MT6360=m
CONFIG_MFD_MT6397=m
CONFIG_MFD_QCOM_RPM=m
CONFIG_MFD_SPMI_PMIC=m
CONFIG_MFD_RK8XX_I2C=y
CONFIG_MFD_RK8XX_SPI=y
CONFIG_MFD_SL28CPLD=y
CONFIG_MFD_WM8994=m
CONFIG_MFD_ROHM_BD718XX=m
CONFIG_MFD_WCD934X=m
CONFIG_MFD_KHADAS_MCU=m
CONFIG_MFD_QCOM_PM8008=m

##
## file: drivers/misc/Kconfig
##
CONFIG_QCOM_COINCELL=m
CONFIG_QCOM_FASTRPC=m
CONFIG_SRAM=y

##
## file: drivers/misc/ti-st/Kconfig
##
CONFIG_TI_ST=m

##
## file: drivers/mmc/Kconfig
##
CONFIG_MMC=y

##
## file: drivers/mmc/core/Kconfig
##
CONFIG_PWRSEQ_EMMC=y
CONFIG_PWRSEQ_SIMPLE=y

##
## file: drivers/mmc/host/Kconfig
##
CONFIG_MMC_ARMMMCI=m
CONFIG_MMC_QCOM_DML=y
CONFIG_MMC_SDHCI_ACPI=m
CONFIG_MMC_SDHCI_PLTFM=m
CONFIG_MMC_SDHCI_OF_ARASAN=m
CONFIG_MMC_SDHCI_OF_ESDHC=m
CONFIG_MMC_SDHCI_OF_DWCMSHC=m
CONFIG_MMC_SDHCI_ESDHC_IMX=m
CONFIG_MMC_SDHCI_TEGRA=m
CONFIG_MMC_SDHCI_F_SDH30=m
CONFIG_MMC_SDHCI_IPROC=m
CONFIG_MMC_MESON_GX=m
CONFIG_MMC_SDHCI_MSM=m
CONFIG_MMC_SPI=m
CONFIG_MMC_SDHI=m
CONFIG_MMC_CAVIUM_THUNDERX=m
CONFIG_MMC_DW=m
CONFIG_MMC_DW_K3=m
CONFIG_MMC_DW_ROCKCHIP=m
CONFIG_MMC_SUNXI=m
CONFIG_MMC_BCM2835=m
CONFIG_MMC_MTK=m
CONFIG_MMC_SDHCI_XENON=m
CONFIG_MMC_SDHCI_AM654=m

##
## file: drivers/mtd/nand/Kconfig
##
CONFIG_MTD_NAND_ECC_MEDIATEK=m

##
## file: drivers/mtd/nand/spi/Kconfig
##
CONFIG_MTD_SPI_NAND=m

##
## file: drivers/mtd/spi-nor/controllers/Kconfig
##
CONFIG_SPI_HISI_SFC=m

##
## file: drivers/mux/Kconfig
##
CONFIG_MUX_GPIO=m
CONFIG_MUX_MMIO=m

##
## file: drivers/net/Kconfig
##
CONFIG_VMXNET3=m

##
## file: drivers/net/can/Kconfig
##
CONFIG_CAN_FLEXCAN=m

##
## file: drivers/net/can/c_can/Kconfig
##
CONFIG_CAN_C_CAN=m
CONFIG_CAN_C_CAN_PLATFORM=m

##
## file: drivers/net/can/m_can/Kconfig
##
CONFIG_CAN_M_CAN=m
CONFIG_CAN_M_CAN_PLATFORM=m

##
## file: drivers/net/dsa/Kconfig
##
CONFIG_NET_DSA_MT7530=m
CONFIG_NET_DSA_MT7530_MDIO=m
CONFIG_NET_DSA_MT7530_MMIO=m
CONFIG_NET_DSA_MV88E6060=m

##
## file: drivers/net/dsa/mv88e6xxx/Kconfig
##
CONFIG_NET_DSA_MV88E6XXX=m

##
## file: drivers/net/dsa/ocelot/Kconfig
##
CONFIG_NET_DSA_MSCC_FELIX=m

##
## file: drivers/net/ethernet/3com/Kconfig
##
CONFIG_NET_VENDOR_3COM=y
CONFIG_VORTEX=m
CONFIG_TYPHOON=m

##
## file: drivers/net/ethernet/8390/Kconfig
##
CONFIG_NET_VENDOR_8390=y
CONFIG_NE2K_PCI=m

##
## file: drivers/net/ethernet/adaptec/Kconfig
##
CONFIG_NET_VENDOR_ADAPTEC=y
CONFIG_ADAPTEC_STARFIRE=m

##
## file: drivers/net/ethernet/amd/Kconfig
##
CONFIG_AMD_XGBE=m

##
## file: drivers/net/ethernet/apm/xgene/Kconfig
##
CONFIG_NET_XGENE=m

##
## file: drivers/net/ethernet/apm/xgene-v2/Kconfig
##
CONFIG_NET_XGENE_V2=m

##
## file: drivers/net/ethernet/broadcom/Kconfig
##
CONFIG_BCMGENET=m

##
## file: drivers/net/ethernet/cadence/Kconfig
##
CONFIG_NET_VENDOR_CADENCE=y
CONFIG_MACB=m

##
## file: drivers/net/ethernet/cavium/Kconfig
##
CONFIG_NET_VENDOR_CAVIUM=y
CONFIG_THUNDER_NIC_PF=m
CONFIG_THUNDER_NIC_VF=m
CONFIG_THUNDER_NIC_BGX=m
CONFIG_THUNDER_NIC_RGX=m

##
## file: drivers/net/ethernet/dec/tulip/Kconfig
##
CONFIG_NET_TULIP=y
CONFIG_DE2104X=m
CONFIG_TULIP=m
# CONFIG_TULIP_MWI is not set
# CONFIG_TULIP_MMIO is not set
CONFIG_WINBOND_840=m
CONFIG_DM9102=m

##
## file: drivers/net/ethernet/dlink/Kconfig
##
CONFIG_NET_VENDOR_DLINK=y
CONFIG_SUNDANCE=m
# CONFIG_SUNDANCE_MMIO is not set

##
## file: drivers/net/ethernet/freescale/Kconfig
##
CONFIG_NET_VENDOR_FREESCALE=y
CONFIG_FEC=m
CONFIG_FSL_XGMAC_MDIO=m

##
## file: drivers/net/ethernet/freescale/dpaa2/Kconfig
##
CONFIG_FSL_DPAA2_ETH=m
CONFIG_FSL_DPAA2_PTP_CLOCK=m

##
## file: drivers/net/ethernet/freescale/enetc/Kconfig
##
CONFIG_FSL_ENETC=m
CONFIG_FSL_ENETC_VF=m
CONFIG_FSL_ENETC_MDIO=m
CONFIG_FSL_ENETC_PTP_CLOCK=m
CONFIG_FSL_ENETC_QOS=y

##
## file: drivers/net/ethernet/google/Kconfig
##
CONFIG_NET_VENDOR_GOOGLE=y
CONFIG_GVE=m

##
## file: drivers/net/ethernet/hisilicon/Kconfig
##
CONFIG_NET_VENDOR_HISILICON=y
CONFIG_HIX5HD2_GMAC=m
CONFIG_HISI_FEMAC=m
CONFIG_HIP04_ETH=m
CONFIG_HNS_DSAF=m
CONFIG_HNS_ENET=m
CONFIG_HNS3=m
CONFIG_HNS3_HCLGE=m
CONFIG_HNS3_DCB=y
CONFIG_HNS3_HCLGEVF=m
CONFIG_HNS3_ENET=m

##
## file: drivers/net/ethernet/intel/Kconfig
##
CONFIG_NET_VENDOR_INTEL=y
CONFIG_E100=m

##
## file: drivers/net/ethernet/marvell/Kconfig
##
CONFIG_MVMDIO=m
CONFIG_MVNETA=m
CONFIG_MVPP2=m

##
## file: drivers/net/ethernet/mediatek/Kconfig
##
CONFIG_NET_VENDOR_MEDIATEK=y
CONFIG_NET_MEDIATEK_SOC=m

##
## file: drivers/net/ethernet/microsoft/Kconfig
##
CONFIG_NET_VENDOR_MICROSOFT=y
CONFIG_MICROSOFT_MANA=m

##
## file: drivers/net/ethernet/mscc/Kconfig
##
CONFIG_NET_VENDOR_MICROSEMI=y

##
## file: drivers/net/ethernet/natsemi/Kconfig
##
CONFIG_NET_VENDOR_NATSEMI=y
CONFIG_NATSEMI=m

##
## file: drivers/net/ethernet/qualcomm/Kconfig
##
CONFIG_QCOM_EMAC=m

##
## file: drivers/net/ethernet/realtek/Kconfig
##
CONFIG_8139CP=m
CONFIG_8139TOO=m

##
## file: drivers/net/ethernet/smsc/Kconfig
##
CONFIG_NET_VENDOR_SMSC=y
CONFIG_SMC91X=m
CONFIG_EPIC100=m
CONFIG_SMSC911X=m

##
## file: drivers/net/ethernet/socionext/Kconfig
##
CONFIG_SNI_NETSEC=m

##
## file: drivers/net/ethernet/stmicro/stmmac/Kconfig
##
CONFIG_STMMAC_ETH=m
CONFIG_STMMAC_PLATFORM=m
CONFIG_DWMAC_GENERIC=m
CONFIG_DWMAC_IPQ806X=m
CONFIG_DWMAC_MEDIATEK=m
CONFIG_DWMAC_MESON=m
CONFIG_DWMAC_ROCKCHIP=m

##
## file: drivers/net/ethernet/ti/Kconfig
##
CONFIG_TI_K3_AM65_CPSW_NUSS=m
CONFIG_TI_K3_AM65_CPTS=m
CONFIG_TI_ICSSG_PRUETH=m

##
## file: drivers/net/fddi/Kconfig
##
CONFIG_FDDI=y
CONFIG_SKFP=m

##
## file: drivers/net/hyperv/Kconfig
##
CONFIG_HYPERV_NET=m

##
## file: drivers/net/ipa/Kconfig
##
CONFIG_QCOM_IPA=m

##
## file: drivers/net/mdio/Kconfig
##
CONFIG_MDIO_XGENE=m
CONFIG_MDIO_HISI_FEMAC=m
CONFIG_MDIO_THUNDER=m
CONFIG_MDIO_BUS_MUX_MMIOREG=m

##
## file: drivers/net/phy/Kconfig
##
CONFIG_MESON_GXL_PHY=m
CONFIG_ADIN_PHY=m
CONFIG_BCM54140_PHY=m
CONFIG_MARVELL_PHY=m
CONFIG_MARVELL_10G_PHY=m
CONFIG_MICROSEMI_PHY=m
CONFIG_MOTORCOMM_PHY=m
CONFIG_REALTEK_PHY=m
CONFIG_DP83869_PHY=m

##
## file: drivers/net/phy/qcom/Kconfig
##
CONFIG_AT803X_PHY=m

##
## file: drivers/net/usb/Kconfig
##
CONFIG_USB_NET_SMSC95XX=m

##
## file: drivers/net/wireless/ath/ath10k/Kconfig
##
CONFIG_ATH10K_AHB=y
CONFIG_ATH10K_SDIO=m
CONFIG_ATH10K_SNOC=m

##
## file: drivers/net/wireless/ath/wcn36xx/Kconfig
##
CONFIG_WCN36XX=m

##
## file: drivers/net/wireless/broadcom/brcm80211/brcmfmac/Kconfig
##
CONFIG_BRCMFMAC_SDIO=y

##
## file: drivers/net/wireless/marvell/mwifiex/Kconfig
##
CONFIG_MWIFIEX=m
CONFIG_MWIFIEX_SDIO=m
CONFIG_MWIFIEX_PCIE=m

##
## file: drivers/net/wireless/mediatek/mt76/mt7615/Kconfig
##
CONFIG_MT7622_WMAC=y

##
## file: drivers/net/wireless/mediatek/mt76/mt7915/Kconfig
##
CONFIG_MT798X_WMAC=y

##
## file: drivers/net/wireless/mediatek/mt76/mt7921/Kconfig
##
CONFIG_MT7921S=m

##
## file: drivers/net/wireless/ti/Kconfig
##
CONFIG_WLAN_VENDOR_TI=y

##
## file: drivers/net/wireless/ti/wl1251/Kconfig
##
CONFIG_WL1251=m
CONFIG_WL1251_SPI=m
CONFIG_WL1251_SDIO=m

##
## file: drivers/net/wireless/ti/wl12xx/Kconfig
##
CONFIG_WL12XX=m

##
## file: drivers/net/wireless/ti/wl18xx/Kconfig
##
CONFIG_WL18XX=m

##
## file: drivers/net/wireless/ti/wlcore/Kconfig
##
CONFIG_WLCORE=m
CONFIG_WLCORE_SPI=m
CONFIG_WLCORE_SDIO=m

##
## file: drivers/nvmem/Kconfig
##
CONFIG_NVMEM_IMX_OCOTP=m
CONFIG_NVMEM_LAYERSCAPE_SFP=m
CONFIG_NVMEM_MESON_EFUSE=m
CONFIG_NVMEM_MTK_EFUSE=m
CONFIG_NVMEM_QCOM_QFPROM=m
CONFIG_NVMEM_RMEM=m
CONFIG_NVMEM_ROCKCHIP_EFUSE=m
CONFIG_NVMEM_ROCKCHIP_OTP=m
CONFIG_NVMEM_SPMI_SDAM=m
CONFIG_NVMEM_SUNXI_SID=m

##
## file: drivers/pci/Kconfig
##
CONFIG_PCI=y
CONFIG_PCI_PRI=y
CONFIG_PCI_PASID=y
CONFIG_PCI_HYPERV=m

##
## file: drivers/pci/controller/Kconfig
##
CONFIG_PCI_AARDVARK=y
CONFIG_PCIE_BRCMSTB=y
CONFIG_PCI_HOST_THUNDER_PEM=y
CONFIG_PCI_HOST_THUNDER_ECAM=y
CONFIG_PCI_HOST_GENERIC=y
CONFIG_PCIE_MEDIATEK_GEN3=y
CONFIG_PCI_TEGRA=y
CONFIG_PCIE_ROCKCHIP_HOST=y
CONFIG_PCI_XGENE=y
CONFIG_PCIE_XILINX_NWL=y

##
## file: drivers/pci/controller/cadence/Kconfig
##
CONFIG_PCI_J721E_HOST=y
CONFIG_PCI_J721E_EP=y

##
## file: drivers/pci/controller/dwc/Kconfig
##
CONFIG_PCI_IMX6_HOST=y
CONFIG_PCI_IMX6_EP=y
CONFIG_PCI_LAYERSCAPE=y
CONFIG_PCI_HISI=y
CONFIG_PCIE_KIRIN=y
CONFIG_PCIE_ARMADA_8K=y
CONFIG_PCIE_QCOM=y
CONFIG_PCIE_ROCKCHIP_DW_HOST=y
CONFIG_PCIE_ROCKCHIP_DW_EP=y

##
## file: drivers/pci/controller/mobiveil/Kconfig
##
CONFIG_PCIE_LAYERSCAPE_GEN4=y

##
## file: drivers/pci/endpoint/Kconfig
##
CONFIG_PCI_ENDPOINT=y

##
## file: drivers/pci/hotplug/Kconfig
##
CONFIG_HOTPLUG_PCI=y
CONFIG_HOTPLUG_PCI_ACPI=y
CONFIG_HOTPLUG_PCI_ACPI_IBM=m
CONFIG_HOTPLUG_PCI_CPCI_ZT5550=m
CONFIG_HOTPLUG_PCI_CPCI_GENERIC=m
CONFIG_HOTPLUG_PCI_SHPC=y

##
## file: drivers/pci/pcie/Kconfig
##
CONFIG_HOTPLUG_PCI_PCIE=y

##
## file: drivers/perf/Kconfig
##
CONFIG_ARM_CCI_PMU=y
CONFIG_ARM_CCI400_PMU=y
CONFIG_ARM_CCI5xx_PMU=y
CONFIG_ARM_CCN=m
CONFIG_ARM_CMN=m
CONFIG_ARM_SMMU_V3_PMU=m
CONFIG_ARM_PMUV3=y
CONFIG_ARM_DSU_PMU=m
CONFIG_FSL_IMX8_DDR_PMU=m
CONFIG_QCOM_L2_PMU=y
CONFIG_QCOM_L3_PMU=y
CONFIG_XGENE_PMU=y
CONFIG_ARM_SPE_PMU=m

##
## file: drivers/perf/hisilicon/Kconfig
##
CONFIG_HISI_PMU=y

##
## file: drivers/phy/Kconfig
##
CONFIG_PHY_XGENE=m

##
## file: drivers/phy/allwinner/Kconfig
##
CONFIG_PHY_SUN4I_USB=m
CONFIG_PHY_SUN50I_USB3=m

##
## file: drivers/phy/amlogic/Kconfig
##
CONFIG_PHY_MESON8B_USB2=m

##
## file: drivers/phy/cadence/Kconfig
##
CONFIG_PHY_CADENCE_TORRENT=m

##
## file: drivers/phy/freescale/Kconfig
##
CONFIG_PHY_FSL_IMX8MQ_USB=m
CONFIG_PHY_MIXEL_MIPI_DPHY=m
CONFIG_PHY_FSL_IMX8M_PCIE=m
CONFIG_PHY_FSL_LYNX_28G=m

##
## file: drivers/phy/hisilicon/Kconfig
##
CONFIG_PHY_HI6220_USB=m

##
## file: drivers/phy/marvell/Kconfig
##
CONFIG_PHY_MVEBU_A3700_COMPHY=m
CONFIG_PHY_MVEBU_A3700_UTMI=m
CONFIG_PHY_MVEBU_CP110_COMPHY=m
CONFIG_PHY_MVEBU_CP110_UTMI=m

##
## file: drivers/phy/mediatek/Kconfig
##
CONFIG_PHY_MTK_PCIE=m
CONFIG_PHY_MTK_TPHY=m
CONFIG_PHY_MTK_UFS=m
CONFIG_PHY_MTK_HDMI=m
CONFIG_PHY_MTK_MIPI_DSI=m
CONFIG_PHY_MTK_DP=m

##
## file: drivers/phy/qualcomm/Kconfig
##
CONFIG_PHY_QCOM_APQ8064_SATA=m
CONFIG_PHY_QCOM_EDP=m
CONFIG_PHY_QCOM_IPQ806X_SATA=m
CONFIG_PHY_QCOM_PCIE2=m
CONFIG_PHY_QCOM_QMP=m
CONFIG_PHY_QCOM_QMP_PCIE=m
CONFIG_PHY_QCOM_QUSB2=m
CONFIG_PHY_QCOM_SNPS_EUSB2=m
CONFIG_PHY_QCOM_EUSB2_REPEATER=m
CONFIG_PHY_QCOM_USB_HS=m
CONFIG_PHY_QCOM_USB_SNPS_FEMTO_V2=m
CONFIG_PHY_QCOM_USB_HSIC=m

##
## file: drivers/phy/renesas/Kconfig
##
CONFIG_PHY_RCAR_GEN3_USB2=m

##
## file: drivers/phy/rockchip/Kconfig
##
CONFIG_PHY_ROCKCHIP_DP=m
CONFIG_PHY_ROCKCHIP_DPHY_RX0=m
CONFIG_PHY_ROCKCHIP_EMMC=m
CONFIG_PHY_ROCKCHIP_INNO_HDMI=m
CONFIG_PHY_ROCKCHIP_INNO_USB2=m
CONFIG_PHY_ROCKCHIP_INNO_CSIDPHY=m
CONFIG_PHY_ROCKCHIP_INNO_DSIDPHY=m
CONFIG_PHY_ROCKCHIP_NANENG_COMBO_PHY=m
CONFIG_PHY_ROCKCHIP_PCIE=m
CONFIG_PHY_ROCKCHIP_SAMSUNG_HDPTX=m
CONFIG_PHY_ROCKCHIP_SNPS_PCIE3=m
CONFIG_PHY_ROCKCHIP_TYPEC=m
CONFIG_PHY_ROCKCHIP_USB=m
CONFIG_PHY_ROCKCHIP_USBDP=m

##
## file: drivers/phy/samsung/Kconfig
##
CONFIG_PHY_SAMSUNG_UFS=m
CONFIG_PHY_EXYNOS5_USBDRD=m

##
## file: drivers/phy/tegra/Kconfig
##
CONFIG_PHY_TEGRA_XUSB=m

##
## file: drivers/phy/ti/Kconfig
##
CONFIG_PHY_J721E_WIZ=m

##
## file: drivers/phy/xilinx/Kconfig
##
CONFIG_PHY_XILINX_ZYNQMP=m

##
## file: drivers/pinctrl/Kconfig
##
CONFIG_PINCTRL_AMD=y
CONFIG_PINCTRL_AXP209=m
CONFIG_PINCTRL_MAX77620=y
CONFIG_PINCTRL_RK805=y
CONFIG_PINCTRL_ROCKCHIP=y
CONFIG_PINCTRL_SINGLE=y

##
## file: drivers/pinctrl/freescale/Kconfig
##
CONFIG_PINCTRL_IMX8MM=y
CONFIG_PINCTRL_IMX8MN=y
CONFIG_PINCTRL_IMX8MP=y
CONFIG_PINCTRL_IMX8MQ=y

##
## file: drivers/pinctrl/mediatek/Kconfig
##
CONFIG_EINT_MTK=y
CONFIG_PINCTRL_MT2712=y
CONFIG_PINCTRL_MT6765=y
CONFIG_PINCTRL_MT6779=y
CONFIG_PINCTRL_MT6795=y
CONFIG_PINCTRL_MT6797=y
CONFIG_PINCTRL_MT7622=y
CONFIG_PINCTRL_MT7981=y
CONFIG_PINCTRL_MT7986=y
CONFIG_PINCTRL_MT8167=y
CONFIG_PINCTRL_MT8173=y
CONFIG_PINCTRL_MT8183=y
CONFIG_PINCTRL_MT8186=y
CONFIG_PINCTRL_MT8188=y
CONFIG_PINCTRL_MT8192=y
CONFIG_PINCTRL_MT8195=y
CONFIG_PINCTRL_MT8365=y
CONFIG_PINCTRL_MT8516=y
CONFIG_PINCTRL_MT6397=y

##
## file: drivers/pinctrl/qcom/Kconfig
##
CONFIG_PINCTRL_MSM=y
CONFIG_PINCTRL_QCOM_SPMI_PMIC=y
CONFIG_PINCTRL_QCOM_SSBI_PMIC=y
CONFIG_PINCTRL_LPASS_LPI=m
CONFIG_PINCTRL_SC7280_LPASS_LPI=m
CONFIG_PINCTRL_SM6115_LPASS_LPI=m
CONFIG_PINCTRL_SM8250_LPASS_LPI=m
CONFIG_PINCTRL_SC8280XP_LPASS_LPI=m

##
## file: drivers/pinctrl/qcom/Kconfig.msm
##
CONFIG_PINCTRL_MSM8916=y
CONFIG_PINCTRL_MSM8996=y
CONFIG_PINCTRL_MSM8998=y
CONFIG_PINCTRL_QCM2290=m
CONFIG_PINCTRL_SC7180=y
CONFIG_PINCTRL_SC7280=y
CONFIG_PINCTRL_SC8180X=y
CONFIG_PINCTRL_SC8280XP=y
CONFIG_PINCTRL_SDM845=y
CONFIG_PINCTRL_SM6115=m
CONFIG_PINCTRL_SM8250=m
CONFIG_PINCTRL_X1E80100=m

##
## file: drivers/platform/chrome/Kconfig
##
CONFIG_CHROME_PLATFORMS=y
CONFIG_CHROMEOS_ACPI=m
CONFIG_CROS_EC=m
CONFIG_CROS_EC_I2C=m
CONFIG_CROS_EC_RPMSG=m
CONFIG_CROS_EC_SPI=m
CONFIG_CROS_KBD_LED_BACKLIGHT=m

##
## file: drivers/pmdomain/bcm/Kconfig
##
CONFIG_RASPBERRYPI_POWER=y

##
## file: drivers/pmdomain/mediatek/Kconfig
##
CONFIG_MTK_SCPSYS=y
CONFIG_MTK_SCPSYS_PM_DOMAINS=y

##
## file: drivers/pmdomain/qcom/Kconfig
##
CONFIG_QCOM_RPMHPD=y
CONFIG_QCOM_RPMPD=y

##
## file: drivers/pmdomain/rockchip/Kconfig
##
CONFIG_ROCKCHIP_PM_DOMAINS=y

##
## file: drivers/pmdomain/ti/Kconfig
##
CONFIG_TI_SCI_PM_DOMAINS=y

##
## file: drivers/power/reset/Kconfig
##
CONFIG_POWER_RESET_HISI=y
CONFIG_POWER_RESET_MSM=y
CONFIG_POWER_RESET_QCOM_PON=m
CONFIG_POWER_RESET_VEXPRESS=y
CONFIG_POWER_RESET_XGENE=y
CONFIG_POWER_RESET_SYSCON=y
CONFIG_POWER_RESET_SYSCON_POWEROFF=y
CONFIG_SYSCON_REBOOT_MODE=m

##
## file: drivers/power/supply/Kconfig
##
CONFIG_BATTERY_CW2015=m
CONFIG_BATTERY_QCOM_BATTMGR=m
CONFIG_BATTERY_SBS=m
CONFIG_BATTERY_BQ27XXX=m
CONFIG_CHARGER_AXP20X=m
CONFIG_BATTERY_AXP20X=m
CONFIG_AXP20X_POWER=m
CONFIG_AXP288_FUEL_GAUGE=m
CONFIG_CHARGER_GPIO=m
CONFIG_CHARGER_MT6360=m
CONFIG_CHARGER_QCOM_SMBB=m
CONFIG_CHARGER_BQ25890=m
CONFIG_CHARGER_RK817=m
CONFIG_CHARGER_CROS_USBPD=m
CONFIG_CHARGER_QCOM_SMB2=m

##
## file: drivers/pps/clients/Kconfig
##
CONFIG_PPS_CLIENT_GPIO=m

##
## file: drivers/ptp/Kconfig
##
CONFIG_PTP_1588_CLOCK_QORIQ=m

##
## file: drivers/pwm/Kconfig
##
CONFIG_PWM=y
CONFIG_PWM_BCM2835=m
CONFIG_PWM_CROS_EC=m
CONFIG_PWM_IMX27=m
CONFIG_PWM_MESON=m
CONFIG_PWM_MTK_DISP=m
CONFIG_PWM_MEDIATEK=m
CONFIG_PWM_RASPBERRYPI_POE=m
CONFIG_PWM_ROCKCHIP=m
CONFIG_PWM_SL28CPLD=m
CONFIG_PWM_SUN4I=m
CONFIG_PWM_TEGRA=m
CONFIG_PWM_TIECAP=m

##
## file: drivers/regulator/Kconfig
##
CONFIG_REGULATOR=y
CONFIG_REGULATOR_FIXED_VOLTAGE=m
CONFIG_REGULATOR_AXP20X=m
CONFIG_REGULATOR_BD718XX=m
CONFIG_REGULATOR_CROS_EC=m
CONFIG_REGULATOR_DA9211=m
CONFIG_REGULATOR_FAN53555=m
CONFIG_REGULATOR_GPIO=m
CONFIG_REGULATOR_HI655X=m
CONFIG_REGULATOR_MAX77620=m
CONFIG_REGULATOR_MP8859=m
CONFIG_REGULATOR_MT6315=m
CONFIG_REGULATOR_MT6357=m
CONFIG_REGULATOR_MT6358=m
CONFIG_REGULATOR_MT6359=m
CONFIG_REGULATOR_MT6360=m
CONFIG_REGULATOR_MT6397=m
CONFIG_REGULATOR_PCA9450=m
CONFIG_REGULATOR_PFUZE100=m
CONFIG_REGULATOR_PWM=m
CONFIG_REGULATOR_QCOM_PM8008=m
CONFIG_REGULATOR_QCOM_RPM=m
CONFIG_REGULATOR_QCOM_RPMH=m
CONFIG_REGULATOR_QCOM_SMD_RPM=m
CONFIG_REGULATOR_QCOM_SPMI=m
CONFIG_REGULATOR_QCOM_USB_VBUS=m
CONFIG_REGULATOR_RASPBERRYPI_TOUCHSCREEN_ATTINY=m
CONFIG_REGULATOR_RK808=m
CONFIG_REGULATOR_TPS6286X=m
CONFIG_REGULATOR_VCTRL=m

##
## file: drivers/remoteproc/Kconfig
##
CONFIG_REMOTEPROC=y
CONFIG_MTK_SCP=m
CONFIG_PRU_REMOTEPROC=m
CONFIG_QCOM_Q6V5_ADSP=m
CONFIG_QCOM_Q6V5_MSS=m
CONFIG_QCOM_Q6V5_PAS=m
CONFIG_QCOM_Q6V5_WCSS=m
CONFIG_QCOM_SYSMON=m
CONFIG_QCOM_WCNSS_PIL=m
CONFIG_TI_K3_R5_REMOTEPROC=m

##
## file: drivers/reset/Kconfig
##
CONFIG_RESET_CONTROLLER=y
CONFIG_RESET_IMX7=m
CONFIG_RESET_QCOM_AOSS=y
CONFIG_RESET_QCOM_PDC=m
CONFIG_RESET_RZG2L_USBPHY_CTRL=m
CONFIG_RESET_SCMI=y
CONFIG_RESET_TI_SCI=y

##
## file: drivers/rpmsg/Kconfig
##
CONFIG_RPMSG_MTK_SCP=m
CONFIG_RPMSG_QCOM_GLINK_RPM=m
CONFIG_RPMSG_QCOM_GLINK_SMEM=m
CONFIG_RPMSG_QCOM_SMD=m

##
## file: drivers/rtc/Kconfig
##
CONFIG_RTC_DRV_ABX80X=m
CONFIG_RTC_DRV_DS1307=y
CONFIG_RTC_DRV_HYM8563=m
CONFIG_RTC_DRV_MAX77686=y
CONFIG_RTC_DRV_RK808=y
CONFIG_RTC_DRV_RS5C372=m
CONFIG_RTC_DRV_PCF8523=m
CONFIG_RTC_DRV_PCF85063=y
CONFIG_RTC_DRV_PCF85363=m
CONFIG_RTC_DRV_PCF8563=y
CONFIG_RTC_DRV_M41T80=m
CONFIG_RTC_DRV_RX8025=m
CONFIG_RTC_DRV_RV8803=m
CONFIG_RTC_DRV_PCF2127=m
CONFIG_RTC_DRV_EFI=y
CONFIG_RTC_DRV_CROS_EC=m
CONFIG_RTC_DRV_FSL_FTM_ALARM=m
CONFIG_RTC_DRV_PL031=y
CONFIG_RTC_DRV_SUN6I=y
CONFIG_RTC_DRV_MV=m
CONFIG_RTC_DRV_ARMADA38X=m
CONFIG_RTC_DRV_PM8XXX=m
CONFIG_RTC_DRV_TEGRA=y
CONFIG_RTC_DRV_SNVS=m
CONFIG_RTC_DRV_MT6397=m
CONFIG_RTC_DRV_XGENE=y

##
## file: drivers/scsi/Kconfig
##
CONFIG_HYPERV_STORAGE=m
CONFIG_SCSI_DMX3191D=m

##
## file: drivers/scsi/hisi_sas/Kconfig
##
CONFIG_SCSI_HISI_SAS=m
CONFIG_SCSI_HISI_SAS_PCI=m

##
## file: drivers/slimbus/Kconfig
##
CONFIG_SLIM_QCOM_CTRL=m
CONFIG_SLIM_QCOM_NGD_CTRL=m

##
## file: drivers/soc/fsl/Kconfig
##
CONFIG_FSL_MC_DPIO=m
CONFIG_DPAA2_CONSOLE=m
CONFIG_FSL_RCPM=y

##
## file: drivers/soc/mediatek/Kconfig
##
CONFIG_MTK_CMDQ=m
CONFIG_MTK_DEVAPC=m
CONFIG_MTK_INFRACFG=y
CONFIG_MTK_PMIC_WRAP=m
CONFIG_MTK_REGULATOR_COUPLER=y
CONFIG_MTK_MMSYS=m
CONFIG_MTK_SVS=m

##
## file: drivers/soc/qcom/Kconfig
##
CONFIG_QCOM_AOSS_QMP=y
CONFIG_QCOM_COMMAND_DB=y
CONFIG_QCOM_GENI_SE=y
CONFIG_QCOM_GSBI=m
CONFIG_QCOM_LLCC=m
CONFIG_QCOM_OCMEM=m
CONFIG_QCOM_PMIC_GLINK=m
CONFIG_QCOM_RMTFS_MEM=m
CONFIG_QCOM_RPMH=y
CONFIG_QCOM_SMEM=m
CONFIG_QCOM_SMD_RPM=m
CONFIG_QCOM_SMP2P=m
CONFIG_QCOM_SMSM=m
CONFIG_QCOM_SOCINFO=m
CONFIG_QCOM_STATS=m
CONFIG_QCOM_WCNSS_CTRL=m
CONFIG_QCOM_APR=m
CONFIG_QCOM_ICC_BWMON=m

##
## file: drivers/soc/renesas/Kconfig
##
CONFIG_ARCH_R8A774A1=y
CONFIG_ARCH_R9A07G043=y
CONFIG_ARCH_R9A07G044=y
CONFIG_ARCH_R9A07G054=y
CONFIG_ARCH_R9A08G045=y
CONFIG_ARCH_R9A09G011=y
CONFIG_ARCH_R9A09G057=y

##
## file: drivers/soc/rockchip/Kconfig
##
CONFIG_ROCKCHIP_GRF=y
CONFIG_ROCKCHIP_IODOMAIN=m
CONFIG_ROCKCHIP_DTPM=m

##
## file: drivers/soc/samsung/Kconfig
##
CONFIG_EXYNOS_USI=m

##
## file: drivers/soc/tegra/Kconfig
##
CONFIG_ARCH_TEGRA_132_SOC=y
CONFIG_ARCH_TEGRA_210_SOC=y

##
## file: drivers/soc/ti/Kconfig
##
CONFIG_TI_PRUSS=m

##
## file: drivers/spi/Kconfig
##
CONFIG_SPI_ARMADA_3700=m
CONFIG_SPI_BCM2835=m
CONFIG_SPI_BCM2835AUX=m
CONFIG_SPI_FSL_QUADSPI=m
CONFIG_SPI_NXP_FLEXSPI=m
CONFIG_SPI_GPIO=m
CONFIG_SPI_IMX=m
CONFIG_SPI_FSL_DSPI=m
CONFIG_SPI_MESON_SPICC=m
CONFIG_SPI_MESON_SPIFC=m
CONFIG_SPI_MT65XX=m
CONFIG_SPI_MTK_NOR=m
CONFIG_SPI_MTK_SNFI=m
CONFIG_SPI_OMAP24XX=m
CONFIG_SPI_ROCKCHIP=m
CONFIG_SPI_ROCKCHIP_SFC=m
CONFIG_SPI_QUP=m
CONFIG_SPI_QCOM_GENI=m
CONFIG_SPI_SUN6I=m
CONFIG_SPI_TEGRA114=m
CONFIG_SPI_TEGRA20_SFLASH=m
CONFIG_SPI_TEGRA20_SLINK=m
CONFIG_SPI_THUNDERX=m
CONFIG_SPI_XLP=m

##
## file: drivers/spmi/Kconfig
##
CONFIG_SPMI=y
CONFIG_SPMI_MSM_PMIC_ARB=y
CONFIG_SPMI_MTK_PMIF=y

##
## file: drivers/staging/media/Kconfig
##
CONFIG_STAGING_MEDIA=y

##
## file: drivers/staging/media/meson/vdec/Kconfig
##
CONFIG_VIDEO_MESON_VDEC=m

##
## file: drivers/staging/media/rkvdec/Kconfig
##
CONFIG_VIDEO_ROCKCHIP_VDEC=m

##
## file: drivers/staging/media/sunxi/Kconfig
##
CONFIG_VIDEO_SUNXI=y

##
## file: drivers/staging/media/sunxi/cedrus/Kconfig
##
CONFIG_VIDEO_SUNXI_CEDRUS=m

##
## file: drivers/staging/vc04_services/bcm2835-audio/Kconfig
##
CONFIG_SND_BCM2835=m

##
## file: drivers/staging/vc04_services/bcm2835-camera/Kconfig
##
CONFIG_VIDEO_BCM2835=m

##
## file: drivers/tee/Kconfig
##
CONFIG_TEE=m

##
## file: drivers/tee/optee/Kconfig
##
CONFIG_OPTEE=m

##
## file: drivers/thermal/Kconfig
##
CONFIG_THERMAL=y
CONFIG_CPU_THERMAL=y
CONFIG_HISI_THERMAL=m
CONFIG_K3_THERMAL=m
CONFIG_QORIQ_THERMAL=m
CONFIG_SUN8I_THERMAL=m
CONFIG_ROCKCHIP_THERMAL=m
CONFIG_ARMADA_THERMAL=m
CONFIG_GENERIC_ADC_THERMAL=m
CONFIG_KHADAS_MCU_FAN_THERMAL=m

##
## file: drivers/thermal/broadcom/Kconfig
##
CONFIG_BCM2711_THERMAL=m
CONFIG_BCM2835_THERMAL=m

##
## file: drivers/thermal/mediatek/Kconfig
##
CONFIG_MTK_THERMAL=m
CONFIG_MTK_SOC_THERMAL=m
CONFIG_MTK_LVTS_THERMAL=m

##
## file: drivers/thermal/qcom/Kconfig
##
CONFIG_QCOM_TSENS=m
CONFIG_QCOM_SPMI_ADC_TM5=m
CONFIG_QCOM_SPMI_TEMP_ALARM=m
CONFIG_QCOM_LMH=m

##
## file: drivers/thermal/tegra/Kconfig
##
CONFIG_TEGRA_SOCTHERM=y

##
## file: drivers/tty/serial/Kconfig
##
CONFIG_SERIAL_AMBA_PL010=y
CONFIG_SERIAL_AMBA_PL010_CONSOLE=y
CONFIG_SERIAL_AMBA_PL011=y
CONFIG_SERIAL_AMBA_PL011_CONSOLE=y
CONFIG_SERIAL_MESON=y
CONFIG_SERIAL_MESON_CONSOLE=y
CONFIG_SERIAL_SAMSUNG=m
CONFIG_SERIAL_SAMSUNG_CONSOLE=y
CONFIG_SERIAL_TEGRA=y
CONFIG_SERIAL_IMX=y
CONFIG_SERIAL_IMX_CONSOLE=y
CONFIG_SERIAL_SH_SCI=y
CONFIG_SERIAL_MSM=y
CONFIG_SERIAL_MSM_CONSOLE=y
CONFIG_SERIAL_QCOM_GENI=y
CONFIG_SERIAL_QCOM_GENI_CONSOLE=y
CONFIG_SERIAL_XILINX_PS_UART=y
CONFIG_SERIAL_XILINX_PS_UART_CONSOLE=y
CONFIG_SERIAL_FSL_LPUART=y
CONFIG_SERIAL_FSL_LPUART_CONSOLE=y
CONFIG_SERIAL_MVEBU_UART=y
CONFIG_SERIAL_MVEBU_CONSOLE=y

##
## file: drivers/tty/serial/8250/Kconfig
##
CONFIG_SERIAL_8250=y
CONFIG_SERIAL_8250_CONSOLE=y
CONFIG_SERIAL_8250_DMA=y
CONFIG_SERIAL_8250_NR_UARTS=4
CONFIG_SERIAL_8250_RUNTIME_UARTS=4
CONFIG_SERIAL_8250_EXTENDED=y
CONFIG_SERIAL_8250_SHARE_IRQ=y
CONFIG_SERIAL_8250_BCM2835AUX=y
CONFIG_SERIAL_8250_DW=y
# CONFIG_SERIAL_8250_EM is not set
CONFIG_SERIAL_8250_OMAP=y
CONFIG_SERIAL_8250_MT6577=y
CONFIG_SERIAL_OF_PLATFORM=y

##
## file: drivers/ufs/host/Kconfig
##
CONFIG_SCSI_UFSHCD_PLATFORM=m
CONFIG_SCSI_UFS_QCOM=m
CONFIG_SCSI_UFS_EXYNOS=m

##
## file: drivers/usb/cdns3/Kconfig
##
CONFIG_USB_CDNS_SUPPORT=m
CONFIG_USB_CDNS3=m
CONFIG_USB_CDNS3_GADGET=y
CONFIG_USB_CDNS3_HOST=y

##
## file: drivers/usb/chipidea/Kconfig
##
CONFIG_USB_CHIPIDEA=m
CONFIG_USB_CHIPIDEA_UDC=y
CONFIG_USB_CHIPIDEA_HOST=y

##
## file: drivers/usb/dwc2/Kconfig
##
CONFIG_USB_DWC2=m
## choice: DWC2 Mode Selection
CONFIG_USB_DWC2_DUAL_ROLE=y
## end choice

##
## file: drivers/usb/dwc3/Kconfig
##
CONFIG_USB_DWC3=m
CONFIG_USB_DWC3_ULPI=y
## choice: DWC3 Mode Selection
CONFIG_USB_DWC3_DUAL_ROLE=y
## end choice
CONFIG_USB_DWC3_EXYNOS=m
CONFIG_USB_DWC3_OF_SIMPLE=m

##
## file: drivers/usb/gadget/Kconfig
##
CONFIG_USB_GADGET=m

##
## file: drivers/usb/host/Kconfig
##
CONFIG_USB_XHCI_HCD=m
CONFIG_USB_XHCI_PLATFORM=m
CONFIG_USB_XHCI_MTK=m
CONFIG_USB_XHCI_MVEBU=m
CONFIG_USB_XHCI_TEGRA=m
CONFIG_USB_EHCI_HCD=m
CONFIG_USB_EHCI_FSL=m
CONFIG_USB_EHCI_HCD_ORION=m
CONFIG_USB_EHCI_TEGRA=m
CONFIG_USB_EHCI_HCD_PLATFORM=m
CONFIG_USB_OHCI_HCD=m
CONFIG_USB_OHCI_HCD_PLATFORM=m

##
## file: drivers/usb/isp1760/Kconfig
##
CONFIG_USB_ISP1760=m
## choice: ISP1760 Mode Selection
# CONFIG_USB_ISP1760_HOST_ROLE is not set
# CONFIG_USB_ISP1760_GADGET_ROLE is not set
CONFIG_USB_ISP1760_DUAL_ROLE=y
## end choice

##
## file: drivers/usb/misc/Kconfig
##
CONFIG_USB_HSIC_USB3503=m
CONFIG_USB_ONBOARD_DEV=m

##
## file: drivers/usb/mtu3/Kconfig
##
CONFIG_USB_MTU3=m
## choice: MTU3 Mode Selection
CONFIG_USB_MTU3_DUAL_ROLE=y
## end choice

##
## file: drivers/usb/musb/Kconfig
##
CONFIG_USB_MUSB_HDRC=m
CONFIG_USB_MUSB_SUNXI=m

##
## file: drivers/usb/phy/Kconfig
##
CONFIG_NOP_USB_XCEIV=m
CONFIG_USB_ULPI=y

##
## file: drivers/usb/roles/Kconfig
##
CONFIG_USB_ROLE_SWITCH=y

##
## file: drivers/usb/typec/Kconfig
##
CONFIG_TYPEC=m
CONFIG_TYPEC_WUSB3801=m

##
## file: drivers/usb/typec/mux/Kconfig
##
CONFIG_TYPEC_MUX_GPIO_SBU=m
CONFIG_TYPEC_MUX_NB7VPQ904M=m

##
## file: drivers/usb/typec/tcpm/Kconfig
##
CONFIG_TYPEC_TCPM=m
CONFIG_TYPEC_TCPCI=m
CONFIG_TYPEC_MT6360=m
CONFIG_TYPEC_TCPCI_MAXIM=m
CONFIG_TYPEC_FUSB302=m
CONFIG_TYPEC_QCOM_PMIC=m

##
## file: drivers/usb/typec/ucsi/Kconfig
##
CONFIG_UCSI_PMIC_GLINK=m

##
## file: drivers/vfio/Kconfig
##
CONFIG_VFIO=m

##
## file: drivers/vfio/fsl-mc/Kconfig
##
CONFIG_VFIO_FSL_MC=m

##
## file: drivers/video/backlight/Kconfig
##
CONFIG_BACKLIGHT_LM3630A=m
CONFIG_BACKLIGHT_LP855X=m
CONFIG_BACKLIGHT_GPIO=m
CONFIG_BACKLIGHT_LED=m

##
## file: drivers/video/fbdev/Kconfig
##
CONFIG_FB_EFI=y
CONFIG_FB_SIMPLE=y

##
## file: drivers/virtio/Kconfig
##
CONFIG_VIRTIO_MEM=m
CONFIG_VIRTIO_MMIO=m

##
## file: drivers/watchdog/Kconfig
##
CONFIG_GPIO_WATCHDOG=m
CONFIG_WDAT_WDT=m
CONFIG_SL28CPLD_WATCHDOG=m
CONFIG_ARM_SP805_WATCHDOG=m
CONFIG_ARM_SBSA_WATCHDOG=m
CONFIG_ARMADA_37XX_WATCHDOG=m
CONFIG_S3C2410_WATCHDOG=m
CONFIG_DW_WATCHDOG=m
CONFIG_K3_RTI_WATCHDOG=m
CONFIG_SUNXI_WATCHDOG=m
CONFIG_IMX2_WDT=m
CONFIG_TEGRA_WATCHDOG=m
CONFIG_QCOM_WDT=m
CONFIG_MESON_GXBB_WATCHDOG=m
CONFIG_MESON_WATCHDOG=m
CONFIG_MEDIATEK_WATCHDOG=m
CONFIG_ARM_SMC_WATCHDOG=m
CONFIG_I6300ESB_WDT=m
CONFIG_BCM2835_WDT=m

##
## file: kernel/Kconfig.kexec
##
CONFIG_KEXEC=y
CONFIG_CRASH_DUMP=y

##
## file: kernel/dma/Kconfig
##
CONFIG_DMA_CMA=y
CONFIG_CMA_SIZE_MBYTES=64

##
## file: kernel/power/Kconfig
##
CONFIG_ENERGY_MODEL=y

##
## file: lib/Kconfig.debug
##
CONFIG_DEBUG_INFO_BTF=y
#. Workaround module loading of different builds of on-disk modules
#. vs booted kernel when keeping same ABI, cf. #1003210, #1022202
CONFIG_MODULE_ALLOW_BTF_MISMATCH=y

##
## file: mm/Kconfig
##
CONFIG_CMA=y
CONFIG_MEMORY_HOTPLUG_DEFAULT_ONLINE=y

##
## file: mm/Kconfig.debug
##
CONFIG_DEBUG_WX=y

##
## file: net/bluetooth/Kconfig
##
CONFIG_BT_LEDS=y

##
## file: net/dsa/Kconfig
##
CONFIG_NET_DSA=m

##
## file: net/qrtr/Kconfig
##
CONFIG_QRTR_SMD=m

##
## file: net/rfkill/Kconfig
##
CONFIG_RFKILL_GPIO=m

##
## file: net/vmw_vsock/Kconfig
##
CONFIG_HYPERV_VSOCKETS=m

##
## file: sound/pci/Kconfig
##
CONFIG_SND_CMIPCI=m

##
## file: sound/pci/hda/Kconfig
##
CONFIG_SND_HDA_INTEL=m
CONFIG_SND_HDA_TEGRA=m

##
## file: sound/soc/Kconfig
##
CONFIG_SND_SOC=m

##
## file: sound/soc/bcm/Kconfig
##
CONFIG_SND_BCM2835_SOC_I2S=m

##
## file: sound/soc/codecs/Kconfig
##
CONFIG_SND_SOC_BT_SCO=m
CONFIG_SND_SOC_CROS_EC_CODEC=m
CONFIG_SND_SOC_DMIC=m
CONFIG_SND_SOC_ES8316=m
CONFIG_SND_SOC_GTM601=m
CONFIG_SND_SOC_MSM8916_WCD_ANALOG=m
CONFIG_SND_SOC_MSM8916_WCD_DIGITAL=m
CONFIG_SND_SOC_PCM5102A=m
CONFIG_SND_SOC_RK3328=m
CONFIG_SND_SOC_RK817=m
CONFIG_SND_SOC_SGTL5000=m
CONFIG_SND_SOC_SIMPLE_AMPLIFIER=m
CONFIG_SND_SOC_SPDIF=m
CONFIG_SND_SOC_TAS2562=m
CONFIG_SND_SOC_TS3A227E=m
CONFIG_SND_SOC_WCD9335=m
CONFIG_SND_SOC_WCD934X=m
CONFIG_SND_SOC_WCD938X_SDW=m
CONFIG_SND_SOC_WM8804_I2C=m
CONFIG_SND_SOC_WM8904=m
CONFIG_SND_SOC_WM8960=m
CONFIG_SND_SOC_WSA881X=m
CONFIG_SND_SOC_WSA883X=m
CONFIG_SND_SOC_MT6358=m
CONFIG_SND_SOC_LPASS_WSA_MACRO=m
CONFIG_SND_SOC_LPASS_VA_MACRO=m
CONFIG_SND_SOC_LPASS_RX_MACRO=m
CONFIG_SND_SOC_LPASS_TX_MACRO=m

##
## file: sound/soc/fsl/Kconfig
##
CONFIG_SND_SOC_FSL_SAI=m
CONFIG_SND_SOC_FSL_SPDIF=m
CONFIG_SND_SOC_FSL_MICFIL=m
CONFIG_SND_IMX_SOC=m
CONFIG_SND_SOC_FSL_ASOC_CARD=m
CONFIG_SND_SOC_IMX_AUDMIX=m
CONFIG_SND_SOC_IMX_HDMI=m

##
## file: sound/soc/generic/Kconfig
##
CONFIG_SND_SIMPLE_CARD=m
CONFIG_SND_AUDIO_GRAPH_CARD=m

##
## file: sound/soc/hisilicon/Kconfig
##
CONFIG_SND_I2S_HI6210_I2S=m

##
## file: sound/soc/mediatek/Kconfig
##
CONFIG_SND_SOC_MT8173=m
CONFIG_SND_SOC_MT8173_RT5650=m
CONFIG_SND_SOC_MT8183=m
CONFIG_SND_SOC_MT8183_MT6358_TS3A227E_MAX98357A=m
CONFIG_SND_SOC_MT8183_DA7219_MAX98357A=m
CONFIG_SND_SOC_MT8186=m
CONFIG_SND_SOC_MT8186_MT6366=m
CONFIG_SND_SOC_MT8195=m
CONFIG_SND_SOC_MT8195_MT6359=m

##
## file: sound/soc/meson/Kconfig
##
CONFIG_SND_MESON_AXG_SOUND_CARD=m
CONFIG_SND_MESON_GX_SOUND_CARD=m

##
## file: sound/soc/qcom/Kconfig
##
CONFIG_SND_SOC_QCOM=m
CONFIG_SND_SOC_APQ8016_SBC=m
CONFIG_SND_SOC_QDSP6=m
CONFIG_SND_SOC_MSM8996=m
CONFIG_SND_SOC_SDM845=m
CONFIG_SND_SOC_SM8250=m
CONFIG_SND_SOC_SC8280XP=m
CONFIG_SND_SOC_SC7280=m
CONFIG_SND_SOC_X1E80100=m

##
## file: sound/soc/rockchip/Kconfig
##
CONFIG_SND_SOC_ROCKCHIP=m
CONFIG_SND_SOC_ROCKCHIP_I2S=m
CONFIG_SND_SOC_ROCKCHIP_I2S_TDM=m
CONFIG_SND_SOC_ROCKCHIP_PDM=m
CONFIG_SND_SOC_ROCKCHIP_SPDIF=m
CONFIG_SND_SOC_ROCKCHIP_RT5645=m
CONFIG_SND_SOC_RK3399_GRU_SOUND=m

##
## file: sound/soc/sof/Kconfig
##
CONFIG_SND_SOC_SOF_TOPLEVEL=y
CONFIG_SND_SOC_SOF_OF=m

##
## file: sound/soc/sof/mediatek/Kconfig
##
CONFIG_SND_SOC_SOF_MTK_TOPLEVEL=y
CONFIG_SND_SOC_SOF_MT8186=m
CONFIG_SND_SOC_SOF_MT8195=m

##
## file: sound/soc/sunxi/Kconfig
##
CONFIG_SND_SUN8I_CODEC=m
CONFIG_SND_SUN50I_CODEC_ANALOG=m
CONFIG_SND_SUN4I_I2S=m
CONFIG_SND_SUN50I_DMIC=m

##
## file: sound/soc/tegra/Kconfig
##
CONFIG_SND_SOC_TEGRA=m
CONFIG_SND_SOC_TEGRA_RT5640=m
CONFIG_SND_SOC_TEGRA_WM8753=m
CONFIG_SND_SOC_TEGRA_WM8903=m
CONFIG_SND_SOC_TEGRA_TRIMSLICE=m
CONFIG_SND_SOC_TEGRA_ALC5632=m
CONFIG_SND_SOC_TEGRA_MAX98090=m
CONFIG_SND_SOC_TEGRA_RT5677=m

